\documentclass[12pt,a4paper,titlepage]{article}
% \usepackage[utf8]{inputenc}
% \usepackage[spanish]{babel}
%\usepackage[spanish,activeacute]{babel}
%\usepackage[utf8]{inputenc}
\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{graphicx}
\usepackage{lmodern}
\usepackage{tabularx}
% \renewcommand{\rmdefault}{phv} % Arial
% \renewcommand{\sfdefault}{phv} % Arial
%\usepackage{algorithm}
%\usepackage{algorithmic}
%\usepackage{algpseudocode}
%\usepackage[toc,page]{appendix}

\usepackage[left=3.5cm,right=3.5cm,top=3.5cm,bottom=3.5cm]{geometry}
\author{ }
\title{{ \Large Talachas }  } 


\newtheorem{theorem}{{\textbf Teorema}}
\newtheorem{definition}{{Definici\'on}}
\newtheorem{assumption}{Assumption}
\newtheorem{lemma}{Lema}
\newtheorem{proposition}{Proposici\'on}
\newtheorem{corollary}{Corolario}
\newtheorem{note}{note}


\usepackage{listings}
\usepackage{xcolor} % for setting colors


% \lstset{ 
%     language=C++, % choose the language of the code
%     basicstyle=\fontfamily{pcr}\selectfont\footnotesize\color{red},
%     keywordstyle=\color{black}\bfseries, % style for keywords
%     numbers=none, % where to put the line-numbers
%     numberstyle=\tiny, % the size of the fonts that are used for the line-numbers     
%     backgroundcolor=\color{darkgray},
%     showspaces=false, % show spaces adding particular underscores
%     showstringspaces=false, % underline spaces within strings
%     showtabs=false, % show tabs within strings adding particular underscores
%     frame=single, % adds a frame around the code
%     tabsize=2, % sets default tabsize to 2 spaces
%     rulesepcolor=\color{gray}
%     captionpos=b, % sets the caption-position to bottom
%     breaklines=true, % sets automatic line breaking
%     breakatwhitespace=false, 
% }

% % set the default code style
% \lstset{
%   backgroundcolor=\color{gray}
%   frame=tb, % draw a frame at the top and bottom of the code block
%   tabsize=4, % tab space width
%   showstringspaces=false, % don't mark spaces in strings
%   numbers=left, % display line numbers on the left
%   commentstyle=\color{green}, % comment color
%   keywordstyle=\color{blue}, % keyword color
%   stringstyle=\color{red} % string color
% }


\lstset{
  backgroundcolor=\color[gray]{0.9},
  frame=single,
  mathescape=true,
  commentstyle=\color{green}, % comment color
  keywordstyle=\color{blue}, % keyword color
  stringstyle=\color{red}, % string color
   showspaces=false, % show spaces adding particular underscores
}
\lstset{language=C++}


\begin{document}

\maketitle
\tableofcontents

\section{Introduction}
\label{sec:intr}


\section{Problem statement}
The equation to be solved is
\begin{align*}
  \begin{cases}
    \label{eq:eq1}
    \mathbf{u}_t &= \nabla \cdot (\mathbf{k}\nabla \mathbf{u}) \\  
    \mathbf{u}(a,y,t) &= \mathbf{u}(b,y,t)\\
    \mathbf{u}(x,c,t) &= \mathbf{u}(x,d,t)\\
    \mathbf{u}(x,y,0) &= \delta_{x_i}\\
  \end{cases}
\end{align*}
with
\begin{displaymath}
  \mathbf{k}=
  \begin{pmatrix}
    k_1 & 0 & 0 \\
    0 & k_2 & 0 \\
    0 & 0 & k_3
  \end{pmatrix}
\end{displaymath}
$\mathcal{C}=[a,b]\times [c,d] \times [e,f]$ .

Defining:
\begin{displaymath}
  \bar{\mathbf{q}}:= -\nabla \mathbf{u} \implies \mathbf{u}_t= -\nabla \cdot (\mathbf{k} \bar{\mathbf{q}})
\end{displaymath}
with
\begin{displaymath}
  \bar{\mathbf{q}} =
  \begin{pmatrix}
    q_1 \\
    q_2 \\
    q_3
  \end{pmatrix}
\end{displaymath}

\textbf{Discontinuous Galerkin Method}

\begin{align}
  \int_\mathcal{C} \bar{\mathbf{q}} \cdot \bar{\nu}_n=-\int_\mathcal{C} \nabla \mathbf{u} \cdot \bar{\nu}_n &= -\int_{\partial \mathcal{C}} (\mathbf{u}\cdot \bar{\nu}_n)^* \cdot \mathbf{n} + \int_{\mathcal{C}} \mathbf{u} \nabla \cdot \bar{\nu}_n  \label{eq2}\\
\int_{\mathcal{C}}\mathbf{u}_t \nu = -\int_{\mathcal{C}} \nabla \cdot (\mathbf{k}\bar{\mathbf{q}}) \nu &= -\int_{\partial \mathcal{C}} ((\mathbf{k}\bar{\mathbf{q}})\nu)^* \cdot \mathbf{n} + \int_{\mathcal{C}} (\mathbf{k}\bar{\mathbf{q}}) \cdot \nabla \nu \label{eq3}
\end{align}
with $n=1,2,3$. Given $K,L,M\in \mathbb{Z}^+$, we defined
\begin{align*}
  \Delta_x &:= \frac{b-a}{K} \quad \Delta_y := \frac{d-c}{L} \quad \Delta_z := \frac{f-e}{M} \quad  \\  
  x_{k-1/2} &:= a + \Delta_x k \quad k=0,\ldots, K \\
  y_{l-1/2} &:= c + \Delta_y l \quad l=0,\ldots, L \\
  y_{m-1/2} &:= e + \Delta_z m \quad m=0,\ldots, M \\
  \mathcal{C}_{k,l,m}&:= [x_{k-1/2},x_{k+1/2}] \times [y_{l-1/2},y_{l+1/2}] \times [z_{m-1/2},z_{m+1/2}]\\
  I_{k}&:=[x_{k-1/2},x_{k+1/2}], \; I_{l}:=[y_{l-1/2},y_{l+1/2}],\; I_{m}:=[z_{m-1/2},z_{m+1/2}] \\
  \bar{\nu}_{i,1} &:= (\phi_i(x,y,z),0,0) \\
  \bar{\nu}_{i,2} &:= (0,\phi_i(x,y,z),0) \\
  \bar{\nu}_{i,3} &:= (0,0,\phi_i(x,y,z)) \\
  \nu_i &:= \phi_i(x,y,z)\\  
\end{align*} 
We notice that, 
\begin{displaymath}
  \mathcal{C} = \bigcup_{k,l,m}^{K,L,M} \mathcal{C}_{k,l,m}.
\end{displaymath}
Suppose,
\begin{align*}
  \mathbf{u}\big\vert_{C_{k,l,m}} \simeq \mathbf{u}_h& = \sum_{j=0}^7 u_{k,l,m}^j \phi_j(x,y,z) \\
  \bar{\mathbf{q}}\big\vert_{C_{k,l,m}} \simeq \bar{\mathbf{q}}_h& =\begin{pmatrix} \sum_{j=0}^7 q_{k,l,m}^{j,0} \phi_j(x,y,z) \\ \sum_{j=0}^7 q_{k,l,m}^{j,1} \phi_j(x,y,z) \\ \sum_{j=0}^7 q_{k,l,m}^{j,2} \phi_j(x,y,z)  \end{pmatrix} \\
\end{align*}

where the basis functions, 
{\footnotesize
  \begin{align*}
    \phi_0(x,y,z) &=  \left( \frac{x-x_{k+1/2}}{x_{k-1/2}-x_{k+1/2}} \right) \left(\frac{y-y_{l+1/2}}{y_{l-1/2}-y_{l+1/2}} \right) \left(\frac{z-z_{m+1/2}}{z_{m-1/2}-z_{m+1/2}} \right) \\
    \phi_1(x,y,z) &=  \left( \frac{x-x_{k+1/2}}{x_{k-1/2}-x_{k+1/2}} \right) \left(\frac{y-y_{l-1/2}}{y_{l+1/2}-y_{l-1/2}} \right) \left(\frac{z-z_{m+1/2}}{z_{m-1/2}-z_{m+1/2}} \right) \\
    \phi_2(x,y,z) &=  \left( \frac{x-x_{k-1/2}}{x_{k+1/2}-x_{k-1/2}} \right) \left(\frac{y-y_{l-1/2}}{y_{l+1/2}-y_{l-1/2}} \right) \left(\frac{z-z_{m+1/2}}{z_{m-1/2}-z_{m+1/2}} \right) \\
    \phi_3(x,y,z) &=  \left( \frac{x-x_{k-1/2}}{x_{k+1/2}-x_{k-1/2}} \right) \left(\frac{y-y_{l+1/2}}{y_{l-1/2}-y_{l+1/2}} \right) \left(\frac{z-z_{m+1/2}}{z_{m-1/2}-z_{m+1/2}} \right) \\
  \end{align*}
}

{\footnotesize
  \begin{align*}
    \phi_4(x,y,z) &=  \left( \frac{x-x_{k+1/2}}{x_{k-1/2}-x_{k+1/2}} \right) \left(\frac{y-y_{l+1/2}}{y_{l-1/2}-y_{l+1/2}} \right) \left(\frac{z-z_{m-1/2}}{z_{m+1/2}-z_{m-1/2}} \right) \\
    \phi_5(x,y,z) &=  \left( \frac{x-x_{k+1/2}}{x_{k-1/2}-x_{k+1/2}} \right) \left(\frac{y-y_{l-1/2}}{y_{l+1/2}-y_{l-1/2}} \right) \left(\frac{z-z_{m-1/2}}{z_{m+1/2}-z_{m-1/2}} \right) \\
    \phi_6(x,y,z) &=  \left( \frac{x-x_{k-1/2}}{x_{k+1/2}-x_{k-1/2}} \right) \left(\frac{y-y_{l-1/2}}{y_{l+1/2}-y_{l-1/2}} \right) \left(\frac{z-z_{m-1/2}}{z_{m+1/2}-z_{m-1/2}} \right) \\
    \phi_7(x,y,z) &=  \left( \frac{x-x_{k-1/2}}{x_{k+1/2}-x_{k-1/2}} \right) \left(\frac{y-y_{l+1/2}}{y_{l-1/2}-y_{l+1/2}} \right) \left(\frac{z-z_{m-1/2}}{z_{m+1/2}-z_{m-1/2}} \right) \\
  \end{align*}
}

Rewriting (\ref{eq2}) and (\ref{eq3}) in $\mathcal{C}_{k,l,m}$,

\begin{align}
  \int_{\mathcal{C}_{k,l,m}} \bar{\mathbf{q}_h} \cdot \bar{\nu}_{i,n} &= -\int_{\partial \mathcal{C}_{k,l,m}} \bar{\nu}_{i,m}^- \cdot h_{\mathbf{u}_h,\partial C_{k,l,m}^-}(\mathbf{u}_h^-,\mathbf{u}_h^+,\mathbf{n}^-) + \int_{\mathcal{C}_{k,l,m}^-} \mathbf{u}_h \nabla \cdot \bar{\nu}_{i,n}  \label{eq4}\\
\int_{\mathcal{C}_{k,l,m}}\dot{\mathbf{u}}_h \nu_i  &= -\int_{\partial \mathcal{C}_{k,l,m}} \nu_i^-h_{(\mathbf{k}\bar{\mathbf{q}}_h),\partial C_{k,l,m}^-}((\mathbf{k}\bar{\mathbf{q}}_h)^-,(\mathbf{k}\bar{\mathbf{q}}_h)^+,\mathbf{n}^-) + \int_{\mathcal{C}_{k,l,m}} (\mathbf{k}\bar{\mathbf{q}_h}) \cdot \nabla \nu_i \label{eq5}
\end{align}

In this case we take the flows,

\begin{align*}
  h_{\mathbf{u}_h,\partial C_{k,l,m}^-}(\mathbf{u}_h^-,\mathbf{u}_h^+,\mathbf{n}^-) &= \left( \frac{\mathbf{u}_h^-+\mathbf{u}_h^+}{2} \right) \mathbf{n}^- \\
h_{(\mathbf{k}\bar{\mathbf{q}}_h),\partial C_{k,l,m}^-}((\mathbf{k}\bar{\mathbf{q}}_h)^-,(\mathbf{k}\bar{\mathbf{q}}_h)^+,\mathbf{n}^-) &= \left(\frac{2k^-k^+}{k^-+k^+}\right) \left( \frac{\mathbf{q}_h^-+\mathbf{q}_h^+}{2}  \right) \cdot \mathbf{n}^-
\end{align*}

Implies
\begin{align}
  \sum_j q_{k,l,m}^{j,0}\int_{C_{k,l,m}} \phi_j \phi_i &= -\frac{1}{2} \int_{C_{l,m}} \left( \sum_{j}u_{k,l,m}^{j,-} \phi_j^-\phi_i^- +   \sum_{j}u_{k,l,m}^{j,+} \phi_j^+\phi_i^- \right)  \Big\vert_{x_{k-1/2}}^{x_{k+1/2} } \nonumber  \\ &+\sum_{j} u_{k,l,m}^j \int_{\mathcal{C}_{k,l,m}}\phi_j (\phi_i)_x \\
  \sum_j q_{k,l,m}^{j,1}\int_{C_{k,l,m}} \phi_j \phi_i &=  -\frac{1}{2} \int_{C_{k,m}} \left( \sum_{j}u_{k,l,m}^{j,-} \phi_j^-\phi_i^- +   \sum_{j}u_{k,l,m}^{j,+} \phi_j^+\phi_i^- \right)  \Big\vert_{y_{l-1/2}}^{y_{l+1/2} } \nonumber \\ &+ \sum_{j} u_{k,l,m}^j \int_{\mathcal{C}_{k,l,m}}\phi_j (\phi_i)_y \\
   \sum_j q_{k,l,m}^{j,2}\int_{C_{k,l,m}} \phi_j \phi_i &= -\frac{1}{2} \int_{C_{k,l}} \left( \sum_{j}u_{k,l,m}^{j,-} \phi_j^-\phi_i^- +   \sum_{j}u_{k,l,m}^{j,+} \phi_j^+\phi_i^- \right)  \Big\vert_{z_{m-1/2}}^{z_{m+1/2} } \nonumber \\ &  + \sum_{j} u_{k,l}^j \int_{\mathcal{C}_{k,l,m}}\phi_j (\phi_i)_z 
\end{align}

\begin{align}  
  \sum_{j} \dot{u}_{k,l,m} \int_{\mathcal{C}_{k,l,m}} \phi_j \phi_i &= 
                                                                      -\frac{1}{2} \int_{C_{l,m}} \left( \sum_{j}q_{k,l,m}^{j,0,-} \phi_j^-\phi_i^- +   \sum_{j}q_{k,l,m}^{j,0,+} \phi_j^+\phi_i^- \right)  \Big\vert_{x_{k-1/2}}^{x_{k+1/2} }  \nonumber \\ 
                                                                    &-\frac{1}{2} \int_{C_{k,m}} \left( \sum_{j}q_{k,l,m}^{j,0,-} \phi_j^-\phi_i^- +   \sum_{j}q_{k,l,m}^{j,0,+} \phi_j^+\phi_i^- \right)  \Big\vert_{y_{l-1/2}}^{y_{l+1/2} }  \nonumber  \\
                                                                    & -\frac{1}{2} \int_{C_{k,l}} \left( \sum_{j}q_{k,l,m}^{j,0,-} \phi_j^-\phi_i^- +   \sum_{j}q_{k,l,m}^{j,0,+} \phi_j^+\phi_i^- \right)  \Big\vert_{z_{m-1/2}}^{y_{m+1/2} }  \nonumber \\
                                                                    &+ \sum_{j} q^{j,0}_{k,l,m} \int_{\mathcal{C}_{k,l,m}}\phi_j (\phi_i)_x  \nonumber \\
                                                                    &+ \sum_{j} q^{j,1}_{k,l,m} \int_{\mathcal{C}_{k,l,m}}\phi_j (\phi_i)_y  \nonumber \\
                                                                    &+ \sum_{j} q^{j,2}_{k,l,m} \int_{\mathcal{C}_{k,l,m}}\phi_j (\phi_i)_z  
\end{align}

\section{Results}
\label{sec:rs}
A continuaci\'on  se muestran algunos resultados 

\begin{figure}[t]
  \centering
  \includegraphics[scale=.35]{fig1}
  \caption{Difusi\'on libre, malla 50x50x50 tiempo final 10, 7.42 sec. Nsteps 333 dx=dy=dz=1 }
  \label{fig:1}
\end{figure}


\begin{figure}[t]
  \centering
  \includegraphics[scale=.25]{fig4}
  \caption{Difusi\'on an\'omala, malla 50x50x50 tiempo final 10, 7.42 sec. Nsteps 333 dx=dy=dz=1}
  \label{fig:1}
\end{figure}


\begin{figure}[t]
  \centering
  \includegraphics[scale=.25]{fig2}
  \caption{Axones y deltas caso 200x200x200.}
  \label{fig:1}
\end{figure}


\begin{figure}[t]
  \centering
  \includegraphics[scale=.25]{fig3}
  \caption{Difusi\'on an\'omala, malla 200x200x200 tiempo final 0.5, 346.9 sec.  Nsteps 266 dx=dy=dz = 0.25 }
  \label{fig:1}
\end{figure}


\begin{table}[h]
  \centering
  \begin{tabular}{|c|c|c|c|}
    \hline 
    Mesh size & Tiempo Final  & No. Iteraciones & Tiempo de Ejecuci\'on (seg.) \\
    $200\times 200 \times 200$ & 0.5  & 266 & 346.9  \\
    \hline
    $200\times 200 \times 200$ & 3  & 1600 & 2030.0 \\
    \hline
    $200\times 200 \times 200$ & 6  & 3200 & 4051.2 \\
    \hline
    $200\times 200 \times 200$ & 15  & 8000 & 9815.47 \\
    \hline
    \hline
  \end{tabular}
  \caption{Tiempos de ejecuci\'on}
  \label{tab:tab1}
\end{table}

By example:
\begin{align}&
  \begin{pmatrix}
    \int_{\mathcal{C}_{k,l,m}} \phi_0 \phi_0 &\cdots& \int_{\mathcal{C}_{k,l,m}} \phi_7 \phi_0 \\
    \vdots & & \vdots \\
    \int_{\mathcal{C}_{k,l,m}} \phi_0 \phi_7 &\cdots& \int_{\mathcal{C}_{k,l,m}} \phi_7 \phi_7 \\
  \end{pmatrix}
  \begin{pmatrix}
    q_{k,l}^{0,1} \\
    \vdots\\
    q_{k,l}^{7,1}
  \end{pmatrix} \nonumber\\ 
  = -\frac{1}{2} 
  &\begin{pmatrix}
    \int_{C_{l,m}^-} \phi_0^- \phi_0^-\big\vert_{x_{k+1/2}} & \cdots &\int_{C_{m,l}^-} \phi_7^- \phi_0^- \big\vert_{x_{k+1/2}}\\
    \vdots & & \vdots \\
    \int_{C_{l,m}^-} \phi_0^- \phi_7^-\big\vert_{x_{k+1/2}} & \cdots &\int_{C_{m,l}} \phi_7^- \phi_3^- \big\vert_{x_{k+1/2}}\\
  \end{pmatrix}
  \begin{pmatrix}
    u_{k,l,m}^0 \\
    \vdots\\
    u_{k,l,m}^7
  \end{pmatrix} \\
   -\frac{1}{2} 
  &\begin{pmatrix}
    \int_{C_{l,m}^-} \phi_0^+ \phi_0^-\big\vert_{x_{k+1/2}} & \cdots &\int_{C_{m,l}^-} \phi_7^+ \phi_0^- \big\vert_{x_{k+1/2}}\\
    \vdots & & \vdots \\
    \int_{C_{l,m}^-} \phi_0^+ \phi_7^-\big\vert_{x_{k+1/2}} & \cdots &\int_{C_{m,l}} \phi_7^+ \phi_3^- \big\vert_{x_{k+1/2}}\\
  \end{pmatrix}
  \begin{pmatrix}
    u_{k,l+1,m}^0 \\
    \vdots\\
    u_{k,l+1,m}^7
  \end{pmatrix}  \nonumber \\
   +\frac{1}{2} 
  &\begin{pmatrix}
    \int_{C_{l,m}^-} \phi_0^- \phi_0^-\big\vert_{x_{k-1/2}} & \cdots &\int_{C_{m,l}^-} \phi_7^- \phi_0^- \big\vert_{x_{k-1/2}}\\
    \vdots & & \vdots \\
    \int_{C_{l,m}^-} \phi_0^- \phi_7^-\big\vert_{x_{k-1/2}} & \cdots &\int_{C_{m,l}} \phi_7^- \phi_3^- \big\vert_{x_{k-1/2}}\\
  \end{pmatrix}
  \begin{pmatrix}
    u_{k,l,m}^0 \\
    \vdots\\
    u_{k,l,m}^7
  \end{pmatrix} \\
   +\frac{1}{2} 
  &\begin{pmatrix}
    \int_{C_{l,m}^-} \phi_0^+ \phi_0^-\big\vert_{x_{k-1/2}} & \cdots &\int_{C_{m,l}^-} \phi_7^+ \phi_0^- \big\vert_{x_{k-1/2}}\\
    \vdots & & \vdots \\
    \int_{C_{l,m}^-} \phi_0^+ \phi_7^-\big\vert_{x_{k-1/2}} & \cdots &\int_{C_{m,l}} \phi_7^+ \phi_3^- \big\vert_{x_{k-1/2}}\\
  \end{pmatrix}
  \begin{pmatrix}
    u_{k,l-1,m}^0 \\
    \vdots\\
    u_{k,l-1,m}^7
  \end{pmatrix}  \nonumber \\
  + 
  &\begin{pmatrix}
    \int_{\mathcal{C}_{k,l,m}} \phi_0 \phi_0 &\cdots& \int_{\mathcal{C}_{k,l,m}} \phi_7 \phi_0 \\
    \vdots & & \vdots \\
    \int_{\mathcal{C}_{k,l,m}} \phi_0 \phi_7 &\cdots& \int_{\mathcal{C}_{k,l,m}} \phi_7 \phi_7 \\
  \end{pmatrix}
  \begin{pmatrix}
    u_{k,l,m}^{0} \\
    \vdots\\
    u_{k,l,m}^{7}
  \end{pmatrix} \nonumber
\end{align}


% \begin{align}&
%   \begin{pmatrix}
%     \int_{\mathcal{C}_{k,l,m}} \phi_0 \phi_0 &\cdots& \int_{\mathcal{C}_{k,l,m}} \phi_3 \phi_0 \\
%     \vdots & & \vdots \\
%     \int_{\mathcal{C}_{k,l,m}} \phi_0 \phi_3 &\cdots& \int_{\mathcal{C}_{k,l,m}} \phi_3 \phi_3 \\
%   \end{pmatrix}
%   \begin{pmatrix}
%     q_{k,l}^{0,2} \\
%     \vdots\\
%     q_{k,l}^{3,2}
%   \end{pmatrix} \\ \nonumber
%   =  
%   &\begin{pmatrix}
%     \int_{C_{k,m}} (\phi_0 \phi_0)^*\big\vert_{I_l}-\int_{\mathcal{C}_{k,l,m}}\phi_0 (\phi_0)_y& \cdots &\int_{C_{k,m}} (\phi_3 \phi_0)^*\big\vert_{I_l}-\int_{\mathcal{C}_{k,l,m}}\phi_3 (\phi_0)_y\\
%     \vdots & & \vdots \\
%     \int_{C_{k,m}} (\phi_0 \phi_3)^*\big\vert_{I_l}-\int_{\mathcal{C}_{k,l,m}}\phi_0 (\phi_3)_y& \cdots &\int_{C_{k,m}} (\phi_3 \phi_3)^*\big\vert_{I_l}-\int_{\mathcal{C}_{k,l,m}}\phi_3 (\phi_3)_y\\
%   \end{pmatrix}
%   \begin{pmatrix}
%     u_{k,l}^0 \\
%     \vdots\\
%     u_{k,l}^3
%   \end{pmatrix} 
% \end{align}



% \begin{align}&
%   \begin{pmatrix}
%     \int_{\mathcal{C}_{k,l,m}} \phi_0 \phi_0 &\cdots& \int_{\mathcal{C}_{k,l,m}} \phi_3 \phi_0 \\
%     \vdots & & \vdots \\
%     \int_{\mathcal{C}_{k,l,m}} \phi_0 \phi_3 &\cdots& \int_{\mathcal{C}_{k,l,m}} \phi_3 \phi_3 \\
%   \end{pmatrix}
%   \begin{pmatrix}
%     q_{k,l}^{0,3} \\
%     \vdots\\
%     q_{k,l}^{3,3}
%   \end{pmatrix} \\ \nonumber
%   =  
%   &\begin{pmatrix}
%     \int_{C_{k,l}} (\phi_0 \phi_0)^*\big\vert_{I_m}-\int_{\mathcal{C}_{k,l,m}}\phi_0 (\phi_0)_z& \cdots &\int_{C_{k,l}} (\phi_3 \phi_0)^*\big\vert_{I_m}-\int_{\mathcal{C}_{k,l,m}}\phi_3 (\phi_0)_z\\
%     \vdots & & \vdots \\
%     \int_{C_{k,l}} (\phi_0 \phi_3)^*\big\vert_{I_m}-\int_{\mathcal{C}_{k,l,m}}\phi_0 (\phi_3)_z& \cdots &\int_{C_{k,l}} (\phi_3 \phi_3)^*\big\vert_{I_m}-\int_{\mathcal{C}_{k,l,m}}\phi_3 (\phi_3)_z\\
%   \end{pmatrix}
%   \begin{pmatrix}
%     u_{k,l}^0 \\
%     \vdots\\
%     u_{k,l}^3
%   \end{pmatrix} 
% \end{align}




{\footnotesize
\begin{align}&
  \begin{pmatrix}
    \int_{\mathcal{C}_{k,l}} \phi_0 \phi_0 &\cdots& \int_{\mathcal{C}_{k,l}} \phi_3 \phi_0 \\
    \vdots & & \vdots \\
    \int_{\mathcal{C}_{k,l}} \phi_0 \phi_3 &\cdots& \int_{\mathcal{C}_{k,l}} \phi_3 \phi_3 \\
  \end{pmatrix}
  \begin{pmatrix}
    \dot{u}_{k,l}^{0} \\
    \vdots\\
    \dot{u}_{k,l}^{3}
  \end{pmatrix} \\ \nonumber
  =  
  &\begin{pmatrix}
    \left[(k_1)^*\int_{C_{l,m}} (\phi_0 \phi_0)^*\right]\Big\vert_{I_k}- k_1\int_{\mathcal{C}_{k,l,m}}\phi_0 (\phi_0)_x& \cdots & \left[(k_1)^*\int_{C_{l,m}} (\phi_3 \phi_0)^*\right]\Big\vert_{I_k}-k_1\int_{\mathcal{C}_{k,l,m}}\phi_3 (\phi_0)_x\\
    \vdots & & \vdots \\
    \left[(k_1)^*\int_{C_{l,m}} (\phi_0 \phi_3)^*\right]\Big\vert_{I_k}-k_1\int_{\mathcal{C}_{k,l,m}}\phi_0 (\phi_3)_x& \cdots &\left[(k_1)^*\int_{C_{l,m}} (\phi_3 \phi_3)^*\right]\Big\vert_{I_k}-k_1\int_{\mathcal{C}_{k,l,m}}\phi_3 (\phi_3)_x\\
  \end{pmatrix}
  \begin{pmatrix}
    q_{k,l}^{0,0} \\
    \vdots\\
    q_{k,l}^{3,0}
  \end{pmatrix}
  + \\
   &\begin{pmatrix}
     \left[(k_2)^*\int_{C_{k,m}} (\phi_0 \phi_0)^* \right]\Big\vert_{I_l}- k_2\int_{\mathcal{C}_{k,l,m}}\phi_0 (\phi_0)_y& \cdots &\left[(k_2)^*\int_{C_{k,m}} (\phi_3 \phi_0)^*\right]\Big\vert_{I_l}-k_2\int_{\mathcal{C}_{k,l,m}}\phi_3 (\phi_0)_y\\
     \vdots & & \vdots \\
    \left[(k_2)^*\int_{C_{k,m}} (\phi_0 \phi_3)^*\right]\Big\vert_{I_l}-k_2\int_{\mathcal{C}_{k,l,m}}\phi_0 (\phi_3)_y& \cdots & \left[(k_2)^*\int_{C_{k,m}} (\phi_3 \phi_3)^*\right]\Big\vert_{I_l}-k_2\int_{\mathcal{C}_{k,l,m}}\phi_3 (\phi_3)_y\\
  \end{pmatrix}
  \begin{pmatrix}
    q_{k,l}^{0,1} \\
    \vdots\\
    q_{k,l}^{3,1}  
  \end{pmatrix}
   \nonumber
  +\\ 
  &\begin{pmatrix}
    \left[(k_3)^*\int_{C_{k,l}} (\phi_0 \phi_0)^* \right]\Big\vert_{I_m}- k_3\int_{\mathcal{C}_{k,l,m}}\phi_0 (\phi_0)_z& \cdots &\left[(k_3)^*\int_{C_{k,l}} (\phi_3 \phi_0)^*\right]\Big\vert_{I_m}-k_3\int_{\mathcal{C}_{k,l,m}}\phi_3 (\phi_0)_z\\
    \vdots & & \vdots \\
    \left[(k_3)^*\int_{C_{k,l}} (\phi_0 \phi_3)^*\right]\Big\vert_{I_m}-k_3\int_{\mathcal{C}_{k,l,m}}\phi_0 (\phi_3)_z& \cdots & \left[(k_3)^*\int_{C_{k,l}} (\phi_3 \phi_3)^*\right]\Big\vert_{I_m}-k_3\int_{\mathcal{C}_{k,l,m}}\phi_3 (\phi_3)_z\\
  \end{pmatrix}
  \begin{pmatrix}
    q_{k,l}^{0,2} \\
    \vdots\\
    q_{k,l}^{3,2}  
  \end{pmatrix}
  \nonumber
\end{align}
}


% Where by example,
% {\small
% \begin{align*}
%   \int_{C_{l,m}} (\phi_j\phi_i)^*\Big\vert_{I_k}& = \int_{C_{l,m}}(\phi_j \phi_i)^*\big\vert_{x_{k+1/2}} - \int_{C_{l,m}}(\phi_j \phi_i)^*\big\vert_{x_{k-1/2}} & \\  &=\int_{C_{l,m}} \frac{1}{2} \phi_j(x_E,y,z)\phi_i(x_E,y,z)+\phi_j(x_C,y,z)\phi_i(x_C,y,z))   \\&- \int_{C_{l,m}} \frac{1}{2} (\phi_j(x_C,y,z)\phi_i(x_C,y,z)+\phi_j(x_W,y,z)\phi_i(x_W,y,z))\\
%   \left[(k_1)^*\int_{C_{l,m}} (\phi_j\phi_i)^*\right]\Big\vert_{I_k}& = \left[(k_1)^* \int_{C_{l,m}}(\phi_j \phi_i)^*\right]\Big\vert_{x_{k+1/2}} - \left[(k_1)^* \int_{C_{l,m}}(\phi_j \phi_i)^*\right]\Big\vert_{x_{k-1/2}} & \\  &= \left(\frac{2k_{1,E}k_{1,C}}{k_{1,E}+k_{1,C}}\right) \int_{C_{l,m}} \frac{1}{2} \phi_j(x_E,y)\phi_i(x_E,y)+\phi_j(x_C,y)\phi_i(x_C,y))   \\&- \left(\frac{2k_{1,C}k_{1,W}}{k_{1,C}+k_{1,W}}\right) \int_{C_{l,m}}  \frac{1}{2} (\phi_j(x_C,y)\phi_i(x_C,y)+\phi_j(x_W,y)\phi_i(x_W,y))\\
% \end{align*}
% }
% \begin{figure}[t]
%   \centering
%   \includegraphics[scale=1]{elements}
%   \caption{Elements}
%   \label{fig:1}
% \end{figure}





\section{References}
\label{sec:fc}

\begin{thebibliography}{99}

\bibitem{timburton}  Hesthaven J S., Warburton T., \textit{Nodal Discontinuous Galerkin Methods, Algorithms, Analysis, ans Applications}, Springer Science+Business, 2008.



\end{thebibliography}

\pagebreak
\appendix

 

\end{document}
